using SqlSugar;
using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Security.Principal;
using System.Text;
using System.Xml.Linq;

namespace SlnMesnac.Model.domain
{
    /// <summary>
    /// 系统基础资料-人员基础资料   yuany
    ///</summary>
    [SugarTable("BasUser"), TenantAttribute("AUCMA_MES")]
    [DataContract(Name = "BaseUser 人员基础资料")]
    public class BaseUser
    {
        /// <summary>
        ///  
        ///</summary>
       
        [SugarColumn(ColumnName = "ObjID", IsPrimaryKey = true, IsIdentity = true)]
        public int ObjID { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "UserName")]
        public string UserName { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "UserPWD")]
        public string UserPWD { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "RealName")]
        public string RealName { get; set; }
        /// <summary>
        ///  
        /// 默认值: ((1))
        ///</summary>
        [SugarColumn(ColumnName = "Sex")]
        public int? Sex { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Telephone")]
        public string Telephone { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "WorkBarcode")]
        public string WorkBarcode { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "DeptCode")]
        public string DeptCode { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "WorkID")]
        public int? WorkID { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ShiftID")]
        public int? ShiftID { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "WorkShopID")]
        public int? WorkShopID { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "HRCode")]
        public string HRCode { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ERPCode")]
        public string ERPCode { get; set; }
        /// <summary>
        ///  
        /// 默认值: ((0))
        ///</summary>
        [SugarColumn(ColumnName = "DeleteFlag")]
        public string DeleteFlag { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Remark")]
        public string Remark { get; set; }
        /// <summary>
        ///  
        /// 默认值: ((1))
        ///</summary>
        [SugarColumn(ColumnName = "IsEmployee")]
        public string IsEmployee { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "RecordTime")]
        public DateTime? RecordTime { get; set; }
    }
}

